import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { CnDeployPodSeq } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-11-05 09:52
 */
interface CnDeployPodSeqCU extends ConditionUtil<CnDeployPodSeqCU>{
    ID:FieldUtil<CnDeployPodSeqCU>;
    CURR_SEQ_NO:FieldUtil<CnDeployPodSeqCU>;
    DELETED:FieldUtil<CnDeployPodSeqCU>;
    CREATE_TIME:FieldUtil<CnDeployPodSeqCU>;
    UPDATE_TIME:FieldUtil<CnDeployPodSeqCU>;
}

class CnDeployPodSeqCUImpl extends ConditionUtilImpl<CnDeployPodSeqCUImpl> implements CnDeployPodSeqCU{ 
    newInstance(): CnDeployPodSeqCUImpl {
        return new CnDeployPodSeqCUImpl();
    } 
    get ID(): FieldUtil<CnDeployPodSeqCU>{  
        return new FieldUtil('id','id','id', this);
    }
    get CURR_SEQ_NO(): FieldUtil<CnDeployPodSeqCU>{  
        return new FieldUtil('curr_seq_no','currSeqNo','curr_seq_no', this);
    }
    get DELETED(): FieldUtil<CnDeployPodSeqCU>{  
        return new FieldUtil('deleted','deleted','deleted', this);
    }
    get CREATE_TIME(): FieldUtil<CnDeployPodSeqCU>{  
        return new FieldUtil('create_time','createTime','create_time', this);
    }
    get UPDATE_TIME(): FieldUtil<CnDeployPodSeqCU>{  
        return new FieldUtil('update_time','updateTime','update_time', this);
    }
}

@Singleton 
class CnDeployPodSeqMU extends TableUtilImpl<CnDeployPodSeqCU,CnDeployPodSeq>{ 
    tableName  = 'cn_deploy_pod_seq';
    tableFields  = ['id','curr_seq_no','deleted','create_time','update_time'];
    modelFields  = ['id','currSeqNo','deleted','createTime','updateTime'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): CnDeployPodSeqCU {
        return new CnDeployPodSeqCUImpl();
    }   

    static get ID(): FieldUtil<CnDeployPodSeqCU>{ 
        return new FieldUtil('id','id','id', new CnDeployPodSeqCUImpl());
    }
    static get CURR_SEQ_NO(): FieldUtil<CnDeployPodSeqCU>{ 
        return new FieldUtil('curr_seq_no','currSeqNo','curr_seq_no', new CnDeployPodSeqCUImpl());
    }
    static get DELETED(): FieldUtil<CnDeployPodSeqCU>{ 
        return new FieldUtil('deleted','deleted','deleted', new CnDeployPodSeqCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<CnDeployPodSeqCU>{ 
        return new FieldUtil('create_time','createTime','create_time', new CnDeployPodSeqCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<CnDeployPodSeqCU>{ 
        return new FieldUtil('update_time','updateTime','update_time', new CnDeployPodSeqCUImpl());
    }

    get ID(): FieldUtil<CnDeployPodSeqCU>{ 
        return CnDeployPodSeqMU.ID;
    }
    get CURR_SEQ_NO(): FieldUtil<CnDeployPodSeqCU>{ 
        return CnDeployPodSeqMU.CURR_SEQ_NO;
    }
    get DELETED(): FieldUtil<CnDeployPodSeqCU>{ 
        return CnDeployPodSeqMU.DELETED;
    }
    get CREATE_TIME(): FieldUtil<CnDeployPodSeqCU>{ 
        return CnDeployPodSeqMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<CnDeployPodSeqCU>{ 
        return CnDeployPodSeqMU.UPDATE_TIME;
    }
}
export {CnDeployPodSeqMU, CnDeployPodSeqCU}
